class TextoPad{
    constructor(public tamanho:number, public letra:string = '0'){ }

    pad(){    
        var _retorno = '';
        for(var i = 0; i < this.tamanho; i++) { 
            _retorno += this.letra;
        }
        return _retorno;
    }
    padEsquerda(texto:string) {
        texto = texto || '';
        var _strPad = this.pad();
        return _strPad.substring(0, _strPad.length - texto.length) + texto;
    }
    padDireita(texto:string){
        texto = texto || '';
        var _strPad = this.pad();
        return texto + _strPad.substring(0, _strPad.length - texto.length);        
    }
}

class Texto{    
    static Pad = TextoPad;
    
    static preencido(texto: string): boolean{
        if(!texto || (texto == null))
            return false;
        else
            return true;
    }    
    static vazio(texto:string, trim:boolean = true):boolean{
        if(!this.preencido(texto))
            return true;
        else{
            if(trim === true)
                texto = texto.trim();
            return texto.length == 0;
        } 
    }
    static tamanho(texto: string, trim: boolean = true):number{
        if(!this.preencido(texto))
            return 0;
        else{
            if(trim === true)
                texto = texto.trim();
            return texto.length;
        } 
    }
    static limpa(texto: string):string{
        if(this.vazio(texto))
            return '';
        else
            return texto.trim();
    }
}

export = Texto;